List Wallets By User And Network
curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/wallets/user-network \
--header 'Authorization: Bearer <token>'import requests
url = "https://crypto.westminister.tech/api/v1/auth/wallets/user-network"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://crypto.westminister.tech/api/v1/auth/wallets/user-network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "c5b0fee8-a33e-4cc8-a937-982072e8a232",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.1479303874223619e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:28:31.401463Z"
},
{
"id": "ca9eb297-e67d-4865-aea8-82f854a419e2",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.04983004566171e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:26:34.359159Z"
}
]Wallets-Users
List Wallets By User And Network
GET
/
api
/
v1
/
auth
/
wallets
/
user-network
List Wallets By User And Network
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
User ID.
Network.
Available options:
ethereum, tron, solana Response
200 - application/json
Wallets for user and network
Wallet ID.
Owner user ID.
Wallet label (e.g.
Chain address.
Globally unique numeric wallet alias.
hot/cold/etc.
Network name (ethereum
Whether this is the default wallet for the network.
Whether wallet is active.
Wallet creation timestamp (RFC 3339).
⌘I